### Method

# Adw Carouselget_scroll_params

#### Declaration [src]

    AdwSpringParams*
    adw_carousel_get_scroll_params (
      AdwCarousel* self
    )

#### Description [src]

Gets the scroll animation spring parameters for `self`.

Gets property | `Adw.Carousel:scroll-params`

#### Return value

Type: `AdwSpringParams`

The animation parameters.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.